audio.c File Reference

play sound More...

`#include "audio.h"`
`#include "Board_DAC.h"`
`#include "Board_GLCD.h"`
`#include "LPC17xx.h"`
`#include "melody.h"`
`#include "Welcome.h"`
Include dependency graph for audio.c:

## Data Structures

struct | AudioState

## Macros

#define | FREQ(x) ((x & 0xffff0000) >> 16)
#define | WAVES(x) (x & 0xffff)

## Functions

bool | bPerformAudioStep ()
void | vUpdateLyrics ()
void | TIMER0_IRQHandler ()
void | vStartAudio ()

## Variables

static volatile struct AudioState | sAudioState

## Detailed Description

play sound

Author
  Lukas Fürderer

Version
  V1.0

Date
  15.11.2020

This file contains the main app function and init.

## Macro Definition Documentation

## FREQ

#define FREQ | ( |  | x | ) | ((x & 0xffff0000) >> 16)

## WAVES

#define WAVES | ( |  | x | ) | (x & 0xffff)

## Function Documentation

## bPerformAudioStep()

bool bPerformAudioStep | ( |  | ) |

Here is the caller graph for this function:

## TIMER0_IRQHandler()

void TIMER0_IRQHandler | ( |  | ) |

Here is the call graph for this function:

## vStartAudio()

void vStartAudio | ( | void |  | ) |

Here is the caller graph for this function:

## vUpdateLyrics()

void vUpdateLyrics | ( | void |  | ) |

Here is the caller graph for this function:

## Variable Documentation

## sAudioState

volatile struct AudioState sAudioState

static